{*******************************************************}
{                                                       }
{       Small Game Engine                               }
{                                                       }
{       Copyright (C) 2011 IdeyaX studio                }
{                                                       }
{*******************************************************}
program CNY;
uses
  Windows,
  GM_Vars in 'GM_Vars.pas',
  GM_Menu in 'GM_Menu.pas',
  fmod in 'Fmod\Fmod.pas',
  fmoddyn in 'Fmod\fmoddyn.pas',
  fmoderrors in 'Fmod\fmoderrors.pas',
  fmodpresets in 'Fmod\fmodpresets.pas',
  fmodtypes in 'Fmod\fmodtypes.pas',
  IDX_Engine in 'IDX_Engine.pas',
  GM_Scene in 'GM_Scene.pas',
  pngimage in 'Png\pngimage.pas',
  pnglang in 'Png\pnglang.pas',
  pngzlib in 'Png\pngzlib.pas';


begin
 appPath:=IDXUtils_ExtractFileDir(ParamStr(0))+'\';

IDXENG_Register(cIDXProcInit, @GameInit);
IDXENG_Register(cIDXProcDraw, @GameRender);
IDXENG_Register(cIDXProcUpdate, @GameProcces);
IDXENG_Register(cIDXProcClose, @GameClose);

if IDXENG_Init(800, 600,'CrazyNewYear',False,25,False) then IDXENG_Procces;

end.
